/// Represents a base operation to be executed
abstract class BaseOperation {
  /// Executes the operation asynchronously
  /// Returns true if the operation was completed successfully, otherwise, false.
  Future<bool> executeAsync();
}

/// Represents a base sync operation
abstract class SyncOperation {

  /// Any error to show if needed
  String error;

  /// Executes the operation asynchronously
  /// Returns true if the operation was completed successfully, otherwise, false.
  Future<bool> executeAsync();
}